Skip to main content
POST
/
facilities
/
{facilityId}
/
covenants
Create or amend a covenant
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/facilities/{facilityId}/covenants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "name": "<string>",
  "threshold": "<string>",
  "evaluationFrequency": "<string>"
}
'
{
  "covenantId": "cov_01JQ9MM5H268Y4HBK0SM80AX8G",
  "facilityId": "<string>",
  "name": "minimum-dscr",
  "threshold": ">=1.20",
  "evaluationFrequency": "quarterly",
  "status": "compliant"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Path Parameters

facilityId
string
required

Body

application/json
name
string
required
threshold
string
required
evaluationFrequency
string
required

Response

Covenant saved

covenantId
string
Example:

"cov_01JQ9MM5H268Y4HBK0SM80AX8G"

facilityId
string
name
string
Example:

"minimum-dscr"

threshold
string
Example:

">=1.20"

evaluationFrequency
string
Example:

"quarterly"

status
enum<string>
Available options:
compliant,
warning,
breached,
waived